classification
Title: Add Windows ARM32 buildbot
Type: enhancement Stage: patch review
Components: Build, Windows Versions: Python 3.8
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Paul Monson, db3l, miss-islington, paul.moore, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords: patch

Created on 2019-04-02 19:09 by Paul Monson, last changed 2019-08-14 14:31 by vstinner.

Pull Requests
URL Status Linked Edit
PR 12917 merged Paul Monson, 2019-04-23 01:03
PR 13351 merged Paul Monson, 2019-05-15 22:50
PR 13454 merged Paul Monson, 2019-05-20 23:09
PR 13529 merged Paul Monson, 2019-05-23 21:38
PR 14244 open miss-islington, 2019-06-19 20:10
PR 14251 merged Paul Monson, 2019-06-19 22:01
PR 14279 merged steve.dower, 2019-06-20 21:14
PR 14280 merged Paul Monson, 2019-06-20 23:50
PR 14290 merged steve.dower, 2019-06-21 16:45
PR 14431 open Paul Monson, 2019-06-27 20:29
PR 14460 merged Paul Monson, 2019-06-28 22:41
PR 15181 merged Paul Monson, 2019-08-08 18:03
PR 15186 open miss-islington, 2019-08-08 23:13
PR 15279 merged vstinner, 2019-08-14 13:56
Messages (16)
msg339362 - (view) Author: Paul Monson (Paul Monson) * Date: 2019-04-02 19:09
Zachary Ware suggested I create an issue to discuss this:

I've started a worker using the worker name monson-win-arm32 and the password provided.

I think it is waiting for a change, there were no errors, but it didn't print anything.

Also, I don’t see anything in the list of builders that looks like it would be windows arm32, and it's not showing in the list of workers.

I'm looking at tools/buildbot/test.bat and it seems like it might be a good place to use SSH to run the test on arm32 device, but I'm not clear on where it is called from or what the best way to detect that project is being cross-compiled.  

Should I add an "-arm32" switch here?
msg342611 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-15 22:42
New changeset 67ff6a103a1184b572750c30e231968c963e72f8 by Steve Dower (Paul Monson) in branch 'master':
bpo-36511: Windows ARM32 buildbot changes (GH-12917)
https://github.com/python/cpython/commit/67ff6a103a1184b572750c30e231968c963e72f8
msg342612 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-15 22:43
Going to leave this in commit review for a bit, in case hitting merge suddenly flushes out some reviews :)
msg342614 - (view) Author: miss-islington (miss-islington) Date: 2019-05-15 23:10
New changeset 4f820723c86c94f857d8d8de47a3c28f985946bd by Miss Islington (bot) (Paul Monson) in branch 'master':
bpo-36511: Windows arm32 buildbot changes (remove extra space) (GH-13351)
https://github.com/python/cpython/commit/4f820723c86c94f857d8d8de47a3c28f985946bd
msg342661 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-16 16:39
Paul - looks like there's a timeout being hit due to lack of output. Any ideas?

https://buildbot.python.org/all/#/builders/203/builds/6
msg343320 - (view) Author: David Bolen (db3l) Date: 2019-05-23 19:19
I've been investigating issues with test failures on my Windows buildbots seemingly not showing up in the master's web interface (but just showing warnings), and it appears likely due to this change.

For example, test_urllib (a test problem from issue 36948) was failing but only appeared as a warning (the first such case on my Win10 builder for example is https://buildbot.python.org/all/#/builders/3/builds/2661).

This change appears to force the exit code of test.bat to be successful (0) regardless of the results of the test run, thus obscuring any test failures from a parent process such as the buildbot.  As an aside, it also looks like any failures along the new arm32ssh branch would be obscured, assuming that the ssh operation would otherwise have propagated the remote exit code.

I think just leaving off the exit code (so just "exit /b") should propagate the rt.bat result properly.  Or, a goto to a label at the end of the file and letting it exit naturally would mimic the prior behavior.
msg343321 - (view) Author: Paul Monson (Paul Monson) * Date: 2019-05-23 19:57
I did a quick test and it looks like exit /b %ERRORLEVEL% will propagate the exit code.
msg343322 - (view) Author: David Bolen (db3l) Date: 2019-05-23 20:15
Yeah, I think you're right.

It looks like without an explicit code, it won't propagate the result as the exit code of cmd itself for those cases where cmd does exit (which would include the buildbots).
msg343406 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-24 16:15
New changeset 51394b8c3d42e6e6d368251ff6f0612495724fc0 by Steve Dower (Paul Monson) in branch 'master':
bpo-36511: Ensure error code propagates out of batch files (GH-13529)
https://github.com/python/cpython/commit/51394b8c3d42e6e6d368251ff6f0612495724fc0
msg346081 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-06-19 20:09
New changeset f355069a3337711642c3403429afb9faef93f512 by Steve Dower (Paul Monson) in branch 'master':
bpo-36511: Add buildbot scripts and fix tests for Windows ARM32 buildbot (GH-13454)
https://github.com/python/cpython/commit/f355069a3337711642c3403429afb9faef93f512
msg346133 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-06-20 16:33
New changeset a1952122a3a20272e4db9e3c6205009a91c73ccf by Steve Dower (Paul Monson) in branch 'master':
bpo-36511: Improve ARM32 buildbot scripts (GH-14251)
https://github.com/python/cpython/commit/a1952122a3a20272e4db9e3c6205009a91c73ccf
msg346165 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-06-20 21:35
New changeset 43615485f1222cd9a94421a96cb7110bb52e1b8b by Steve Dower in branch '3.8':
bpo-36511: Improve ARM32 buildbot scripts (GH-14251)
https://github.com/python/cpython/commit/43615485f1222cd9a94421a96cb7110bb52e1b8b
msg346233 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-06-21 16:40
New changeset f8dd77d36067fd7be614edde1e5e9e7467c450dc by Steve Dower (Paul Monson) in branch 'master':
bpo-36511: Fix -u parameters for ARM32 tests (GH-14280)
https://github.com/python/cpython/commit/f8dd77d36067fd7be614edde1e5e9e7467c450dc
msg346256 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-06-21 21:39
New changeset f3e38ec7f014557296f6cc7b60a33d65faad1716 by Steve Dower in branch '3.8':
bpo-36511: Fix -u parameters for ARM32 tests (GH-14280)
https://github.com/python/cpython/commit/f3e38ec7f014557296f6cc7b60a33d65faad1716
msg349267 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-08-08 23:12
New changeset ed70a344b5fbddea85726ebc1964ee0cfdef9c40 by Steve Dower (Paul Monson) in branch 'master':
bpo-36511: Fix failures in Windows ARM32 buildbot (GH-15181)
https://github.com/python/cpython/commit/ed70a344b5fbddea85726ebc1964ee0cfdef9c40
msg349705 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-08-14 14:31
New changeset d85c5670ff1611202a25c9e0967148e72c114de9 by Victor Stinner in branch '3.8':
[3.8] bpo-37531: Fix regrtest timeout for subprocesses (GH-15072) (GH-15279)
https://github.com/python/cpython/commit/d85c5670ff1611202a25c9e0967148e72c114de9
History
Date User Action Args
2019-08-14 14:31:35vstinnersetnosy: + vstinner
messages: + msg349705
2019-08-14 13:56:14vstinnersetpull_requests: + pull_request15003
2019-08-08 23:13:06miss-islingtonsetpull_requests: + pull_request14918
2019-08-08 23:12:36steve.dowersetmessages: + msg349267
2019-08-08 18:03:30Paul Monsonsetpull_requests: + pull_request14913
2019-06-28 22:41:18Paul Monsonsetpull_requests: + pull_request14277
2019-06-27 20:29:37Paul Monsonsetpull_requests: + pull_request14247
2019-06-21 21:39:52steve.dowersetmessages: + msg346256
2019-06-21 16:45:04steve.dowersetpull_requests: + pull_request14113
2019-06-21 16:40:29steve.dowersetmessages: + msg346233
2019-06-20 23:50:39Paul Monsonsetpull_requests: + pull_request14103
2019-06-20 21:35:54steve.dowersetmessages: + msg346165
2019-06-20 21:14:08steve.dowersetpull_requests: + pull_request14102
2019-06-20 16:33:37steve.dowersetmessages: + msg346133
2019-06-19 22:01:43Paul Monsonsetpull_requests: + pull_request14083
2019-06-19 20:10:09miss-islingtonsetpull_requests: + pull_request14079
2019-06-19 20:09:58steve.dowersetmessages: + msg346081
2019-05-24 16:15:42steve.dowersetmessages: + msg343406
2019-05-23 21:38:39Paul Monsonsetpull_requests: + pull_request13443
2019-05-23 20:15:44db3lsetmessages: + msg343322
2019-05-23 19:57:45Paul Monsonsetmessages: + msg343321
2019-05-23 19:19:40db3lsetnosy: + db3l
messages: + msg343320
2019-05-21 12:00:33vstinnersetnosy: - vstinner
2019-05-20 23:09:18Paul Monsonsetpull_requests: + pull_request13363
2019-05-16 16:39:57steve.dowersetmessages: + msg342661
2019-05-15 23:10:45miss-islingtonsetnosy: + miss-islington
messages: + msg342614
2019-05-15 22:50:25Paul Monsonsetstage: commit review -> patch review
pull_requests: + pull_request13262
2019-05-15 22:43:10steve.dowersetmessages: + msg342612
stage: patch review -> commit review
2019-05-15 22:42:32steve.dowersetmessages: + msg342611
2019-04-23 01:03:12Paul Monsonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12843
2019-04-02 19:09:59Paul Monsonsetnosy: + vstinner
2019-04-02 19:09:21Paul Monsoncreate